module Transmission
  class TorrentGet < BaseMethod
    def initialize( client, fields = nil, ids = nil )
      super(client)
      @method = 'torrent-get'
      @arguments = {}

      @arguments["fields"] = fields ? fields : @@fields
      @arguments["ids"] = ids if ids != nil
    end

    @@fields = %w(
      activityDate
      addedDate
      bandwidthPriority
      comment
      corruptEver
      creator
      dateCreated
      desiredAvailable
      doneDate
      downloadDir
      downloadedEver
      downloadLimit
      downloadLimited
      error
      errorString
      eta
      etaIdle
      files
      fileStats
      hashString
      haveUnchecked
      haveValid
      honorsSessionLimits
      id
      isFinished
      isPrivate
      isStalled
      leftUntilDone
      magnetLink
      manualAnnounceTime
      maxConnectedPeers
      metadataPercentComplete
      name
      peer-limit
      peers
      peersConnected
      peersFrom
      peersGettingFromUs
      peersSendingToUs
      percentDone
      pieces
      pieceCount
      pieceSize
      priorities
      queuePosition
      rateDownload
      rateUpload
      recheckProgress
      secondsDownloading
      secondsSeeding
      seedIdleLimit
      seedIdleMode
      seedRatioLimit
      seedRatioMode
      sizeWhenDone
      startDate
      status
      trackers
      trackerStats
      totalSize
      torrentFile
      uploadedEver
      uploadLimit
      uploadLimited
      uploadRatio
      wanted
      webseeds
      webseedsSendingToUs
    )
  end
end